Skip to content
Get startedWebsite

Create user

POST/api/v1/users

Create user

Header ParametersExpand Collapse
"X-Environment": "sandbox" or "production"
One of the following:
"sandbox"
"production"
Body ParametersJSONExpand Collapse
email: string
formatemail
first_name: string
last_name: string
password: string
formatpassword
ReturnsExpand Collapse
status: string
user_id: string
formatuuid

Create user

curl https://accounts-service-staging.up.railway.app/api/v1/users \
    -H 'Content-Type: application/json' \
    -H "X-API-Key: $RAILS_API_KEY" \
    -d '{
          "email": "dev@stainless.com",
          "first_name": "first_name",
          "last_name": "last_name",
          "password": "password"
        }'
{
  "status": "status",
  "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
Returns Examples
{
  "status": "status",
  "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}